intro_android_demo 🚀
=====================

Demo of app exercises for Intro to Androids

<img src="http://i.imgur.com/DzkMzcy.png" width="250" />&nbsp;
<img src="http://i.imgur.com/VJWFW9Q.png" width="250" />

Sample Listing:

 - Chapter 1: App Fundamentals
   - Basic TextView
 - Chapter 2: User Interface
   - Linear Layout Demo
 - Chapter 3: View Controls
    - Layout Gravity
    - Basic Views
    - View Attributes
    - Simple ListView
 - Chapter 4: User Interactions
   - Basic Click Handlers
   - Handling ListView Clicks
   - Action Bar
 - Chapter 5: User Flows
   - Explicit Intents
   - Implicit Intents
   - Intent with Results
 - Chapter 6: Networking
   - Basic Image Download
   - AsyncTask
   - Smart Image Download
 - Chapter 7: Advanced Views
   - Toast Inputs
   - Spinner Toast
   - TimePicker
   - ProgressBar
   - GridView
 - Chapter 8: Preferences
   - Persist Settings
 - Chapter 9: Content Providers
   - Contact List
 - Chapter 10: Publishing
   - APK Instructions
